const Meta = imports.gi.Meta;
const Gio  = imports.gi.Gio;

const Main = imports.ui.main;

const Utils = imports.misc.extensionUtils.getCurrentExtension().imports.utils; 

// End of imports.


const TERMINAL_SCHEMA = 'org.gnome.desktop.default-applications.terminal';

const mySettings = Utils.getSettings();

const key_bindings = {
	'show-looking-glass': function() {
		Main.createLookingGlass().open();
	},

	'show-message-tray': function() {
		Main.messageTray.toggle();
	},
	
	'activate-message-tray': function() {
		let noti = Main.messageTray._notification;
		if(noti != null) {
			Main.messageTray._expandNotification(false);
		}
	},
	'open-terminal': function() {
		let termSettings = new Gio.Settings({ 'schema': TERMINAL_SCHEMA });
		try {
			imports.misc.util.trySpawnCommandLine(termSettings.get_string('exec'));
		} catch(e) {
			logError(e, 'Error launching terminal')
		}
	}
};

function init(metadata) {

}

function enable() {
	for(key in key_bindings) {
		global.display.add_keybinding(key,
			mySettings,
			Meta.KeyBindingFlags.NONE,
			key_bindings[key]
		);
	}
}

function disable() {
	for(key in key_bindings) {
		global.display.remove_keybinding(key);
	}
}
